package com.ty.controller;


import com.ty.domain.Student;
import com.ty.service.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

@Controller
@RequestMapping("/student")
public class StudentController {
    @Autowired
    private StudentService studentService;


    @RequestMapping("/all")
    public String all(Model model){
        //执行查询操作
        List<Student> allStudent=studentService.findAllStudent();
        //将查询到的操作放入request域
        model.addAttribute("students",allStudent);
        //返回一个jsp页面
        return "allStudent";
    }

    @RequestMapping("/add")
    public String add(Student student){
        studentService.addStudent(student);
        //重定向到查询所有学生
        return "redirect:/student/all";
    }
}
